Package org.eclipse.viatra.query.runtime.localsearch.planner.compiler

## Class GenericOperationCompiler

- java.lang.Object
- - org.eclipse.viatra.query.runtime.localsearch.planner.compiler.AbstractOperationCompiler
  - - org.eclipse.viatra.query.runtime.localsearch.planner.compiler.GenericOperationCompiler

- All Implemented Interfaces:
    `IOperationCompiler`

      public class GenericOperationCompiler
      extends AbstractOperationCompiler

  Since:
    1.7

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.localsearch.planner.compiler.AbstractOperationCompiler

      `dependencies, operations, runtimeContext, UNSUPPORTED_TYPE_MESSAGE, variableBindings`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericOperationCompiler​(IQueryRuntimeContext runtimeContext)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `createCheck​(TypeFilterConstraint typeConstraint, java.util.Map<PVariable,​java.lang.Integer> variableMapping)` |
    `protected void` | `createCheck​(TypeConstraint typeConstraint, java.util.Map<PVariable,​java.lang.Integer> variableMapping)` |
    `protected void` | `createExtend​(TypeConstraint typeConstraint, java.util.Map<PVariable,​java.lang.Integer> variableMapping)` |
    `protected void` | `createUnaryTypeCheck​(IInputKey inputKey, int position)` |

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.localsearch.planner.compiler.AbstractOperationCompiler

      `compile, createCheck, createCheck, createCheck, createCheck, createCheck, createCheck, createCheck, createCheck, createCheck, createExtend, createExtend, createExtend, createExtend, createExtend, createExtend, createExtend, createExtendDispatcher, getDependencies, getVariableMappings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericOperationCompiler

          public GenericOperationCompiler​(IQueryRuntimeContext runtimeContext)

  - ### Method Detail

    - #### createCheck

          protected void createCheck​(TypeFilterConstraint typeConstraint,
                                     java.util.Map<PVariable,​java.lang.Integer> variableMapping)

      Specified by:
        `createCheck` in class `AbstractOperationCompiler`

    - #### createCheck

          protected void createCheck​(TypeConstraint typeConstraint,
                                     java.util.Map<PVariable,​java.lang.Integer> variableMapping)

      Specified by:
        `createCheck` in class `AbstractOperationCompiler`

    - #### createUnaryTypeCheck

          protected void createUnaryTypeCheck​(IInputKey inputKey,
                                              int position)

      Specified by:
        `createUnaryTypeCheck` in class `AbstractOperationCompiler`

    - #### createExtend

          protected void createExtend​(TypeConstraint typeConstraint,
                                      java.util.Map<PVariable,​java.lang.Integer> variableMapping)

      Specified by:
        `createExtend` in class `AbstractOperationCompiler`